From fdc13a0fe2adb52ec2a77b4464b13d297251e8f8 Mon Sep 17 00:00:00 2001
From: Michael Fladischer <FladischerMichael@fladi.at>
Date: Mon, 18 Jul 2016 20:04:37 +0200
Subject: Skip tests if pybars package is not found.

---
 tests/ext/handlebars_tests.py | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

diff --git a/tests/ext/handlebars_tests.py b/tests/ext/handlebars_tests.py
index 91779cd..c81b7fd 100644
--- a/tests/ext/handlebars_tests.py
+++ b/tests/ext/handlebars_tests.py
@@ -6,6 +6,11 @@ from cement.core import exc, foundation, handler, backend, controller
 from cement.utils import test
 from nose.plugins.attrib import attr
 
+try:
+    import pybars
+except ImportError:
+    pybars = None
+
 class HandlebarsTestApp(test.TestApp):
     class Meta:
         extensions = ['handlebars']
@@ -14,11 +19,15 @@ class HandlebarsTestApp(test.TestApp):
         template_dirs = []
         handlebars_helpers = {}
         handlebars_partials = ['test_partial_template.handlebars']
-        
-@attr('ext_handlebars')        
+
+@attr('ext_handlebars')
 class HandlebarsExtTestCase(test.CementExtTestCase):
     app_class = HandlebarsTestApp
 
+    def setUp(self):
+        if not pybars:
+            self.skipTest("No pybars module installed")
+
     def test_handlebars(self):
         self.app.setup()
         rando = random.random()
